var createStatement3 = "CREATE TABLE IF NOT EXISTS Calendario (id INTEGER PRIMARY KEY AUTOINCREMENT, data_id text, titulo text, descricao text, data date, dia text, mes text, ano text, hora text)";
 
var selectAllStatement3 = "SELECT * FROM Calendario WHERE data_id=?";
 
var insertStatement3 = "INSERT INTO Calendario (data_id,titulo,descricao,data,dia,mes,ano,hora) VALUES (?,?,?,?,?,?,?,?)";
 
var updateStatement3 = "UPDATE Calendario SET data_id = ?,titulo = ?,descricao = ?,data=?,dia=?,mes=?,ano=?,hora=? WHERE id=?";

var deleteStatement3 = "DELETE FROM Calendario WHERE data_id=?";

var deleteStatement4 = "DELETE FROM Calendario WHERE id=?";

 
var selectAllStatement4 = "SELECT * FROM Calendario";



var createStatement2 = "CREATE TABLE IF NOT EXISTS Pastas (id INTEGER PRIMARY KEY AUTOINCREMENT, pasta)";
 
var selectAllStatement2 = "SELECT * FROM Pastas";
 
var insertStatement2 = "INSERT INTO Pastas (pasta) VALUES (?)";
 
var updateStatement2 = "UPDATE Pastas SET pasta = ? WHERE id=?";

var deleteStatement2 = "DELETE FROM Pastas WHERE id=?";

 var createStatement = "CREATE TABLE IF NOT EXISTS Processos (id INTEGER PRIMARY KEY AUTOINCREMENT, tipoconsulta, respconsulta, link_texto, nomefantasia, pastacriada)";
 
var selectAllStatement = "SELECT * FROM Processos";

 
var insertStatement = "INSERT INTO Processos (tipoconsulta, respconsulta, link_texto, nomefantasia, pastacriada) VALUES (?, ?, ?, ?, ?)";

var updateStatement = "UPDATE Processos SET respconsulta = ? WHERE id=?";

var updateStatement3 = "UPDATE Processos SET pastacriada = ? WHERE id=?";
 
var deleteStatement = "DELETE FROM Processos WHERE id=?";

var deleteprocpasta = "DELETE FROM Processos WHERE pastacriada=?";
 
var dropStatement = "DROP TABLE Processos";
 
 var db = openDatabase("AddressBook", "1.0", "Address Book", 200000);  // Open SQLite Database
 
var dataset;
 
var DataType;
 
 function initDatabase()  // Function Call When Page is ready.
 
{
 
    try {
 
        if (!window.openDatabase)  // Check browser is supported SQLite or not.
 
        {
 
            alert('Databases are not supported in this browser.');
 
        }
 
        else {
 
            createTable();  // If supported then call Function for create table in SQLite
			
 
        }
 
    }
 
    catch (e) {
 
        if (e == 2) {
 
            // Version number mismatch. 
 
            console.log("Invalid database version.");
 
        } else {
 
            console.log("Unknown error " + e + ".");
 
        }
 
        return;
 
    }
 
}
 
function createTable()  // Function for Create Table in SQLite.
 
{
	
	
	    db.transaction(function (tx) { tx.executeSql(createStatement3, []); });
	
	
    db.transaction(function (tx) { tx.executeSql(createStatement2, [], showRecords2, onError); });
	
 
    db.transaction(function (tx) { tx.executeSql(createStatement, [], showRecords, onError); });
	
}

 
function updateRecord2() // Get id of record . Function Call when Delete Button Click..
 
{

 
    db.transaction(function (tx) {
 
        tx.executeSql(selectAllStatement2, [], function (tx, result) {
 
            dataset = result.rows;
k=0
            for (var i = 0; i < dataset.length; i++) {

                item = dataset.item(i);
				
				if (item['pasta']=="Meus Processos") {
					
					k=k+1
					
				} 
				

			}
		
			
			if (k==0) {		
					
				
			   db.transaction(function (tx) { tx.executeSql(insertStatement2, ["Meus Processos"], showRecords2, onError); });
				
				
			}
			
		
			
			})
			
		});
  
	
 
}
 
function insertRecord() // Get value from Input and insert record . Function Call when Save/Submit Button Click..
 
{
 
		
tipoconsulta = document.getElementById("tipoconsulta").value

respconsulta = document.getElementById("respconsulta").value

link_texto_in = String(document.getElementById("link").value)
link_texto = link_texto_in.replace(/ /g,"%20")

nomefantasia = respconsulta

pastacriada = document.getElementById("pastas").value


if (pastacriada=="Selecione uma Pasta") {
	
alert("Uma pasta deve ser selecionada!")

} else{
	

        db.transaction(function (tx) { tx.executeSql(insertStatement, [tipoconsulta, respconsulta, link_texto, nomefantasia, pastacriada], loadAndReset2, onError); });
}
        //tx.executeSql(SQL Query Statement,[ Parameters ] , Sucess Result Handler Function, Error Result Handler Function );
 
}
 
 
  
function insertRecord2() // Get value from Input and insert record . Function Call when Save/Submit Button Click..
 
{
 

pasta = document.getElementById("pasta").value


        db.transaction(function (tx) { tx.executeSql(insertStatement2, [pasta], loadAndReset2, onError); });

        //tx.executeSql(SQL Query Statement,[ Parameters ] , Sucess Result Handler Function, Error Result Handler Function );
 
}
 
function deleteRecord(id) // Get id of record . Function Call when Delete Button Click..
 
{
 
    var iddelete = id.toString();
 
    db.transaction(function (tx) { tx.executeSql(deleteStatement, [id], loadAndReset2, onError); });
 
    resetForm();
 
}


function deleteFolder(id,p) // Get id of record . Function Call when Delete Button Click..
 
{
	

    var iddelete = id.toString();
	var pasta = p.toString();
	
	pasta_aux=pasta.replace(/%20/g," ")
	

  db.transaction(function (tx) { tx.executeSql(deleteprocpasta, [pasta_aux],loadAndReset, onError); });
  
    db.transaction(function (tx) { tx.executeSql(deleteStatement2, [id], loadAndReset2, onError); });
	
	 

}
 
function alterar_desc(n) // Get id of record . Function Call when Delete Button Click..
 
{
	
respconsulta = document.getElementById("alterar_"+n).value
edit_hidden = document.getElementById("edit_hidden_"+n).value

	   db.transaction(function (tx) { tx.executeSql(updateStatement, [respconsulta, Number(edit_hidden)], loadAndReset2, onError); });
 
}

function moverpasta(n)

{
	
	
pasta_mov = String(document.getElementById("mover_"+n).value)
pasta_mov_ajust = pasta_mov.replace(/%20/g," ")
pasta_hidden = document.getElementById("mover_hidden_"+n).value


	   db.transaction(function (tx) { tx.executeSql(updateStatement3, [pasta_mov_ajust, Number(pasta_hidden)], loadAndReset2, onError); });
 
}

 
function dropTable() // Function Call when Drop Button Click.. Talbe will be dropped from database.
 
{
 
    db.transaction(function (tx) { tx.executeSql(dropStatement, [], showRecords, onError); });
 
    resetForm();
 
    initDatabase();
 
}
 
function loadRecord(i) // Function for display records which are retrived from database.
 
{
 
    var item = dataset.item(i);
 
    $("#nomefantasia").val((item['nomefantasia']).toString());
 

 
    $("#id").val((item['id']).toString());
 
}
 
function resetForm() // Function for reset form input values.
 
{
 
    $("#username").val("");
 
    $("#useremail").val("");
 
    $("#id").val("");
 
}

function resetForm2() // Function for reset form input values.
 
{
 
 
    $("#pasta").val("");
 
}
 
function loadAndReset() //Function for Load and Reset...
 
{
 
    resetForm();
    showRecords();
	

 
}

function loadAndReset2() //Function for Load and Reset...
 
{
 
 loadAndReset();
    resetForm2();
    showRecords2();



	

 
}
 
function onError(tx, error) // Function for Hendeling Error...
 
{
 
    alert(error.message);
 
}




function showRecords2() // Function For Retrive data from Database Display records as list
 
{


updateRecord2();
   $("#set").html('')
	

    db.transaction(function (tx) {
 
        tx.executeSql(selectAllStatement2, [], function (tx, result) {
 
            dataset = result.rows;

            for (var i = 0; i < dataset.length; i++) {
 cont=dataset.length-i-1;
                item = dataset.item(cont);
				pasta_aux=item['pasta']
				var pasta_aux_ajust=pasta_aux.replace(/ /g,"%20")
				var pasta_aux_ajust2 = "'"+pasta_aux_ajust+"'";
                var linkeditdelete = "<div style='margin-right:30%;float:right;z-index:4;' ><a style='border-radius:5px;margin-top:2%;text-decoration:none;text-shadow:none;font-weight:normal;color:white;border:solid;border-color:red;background-color:red;z-index:5;position:absolute;visibility:hidden' data-role='button' onclick=deleteFolder("+item['id']+","+pasta_aux_ajust2+"); href='#' data-iconpos='notext' data-icon='delete' id='deletar_"+cont+"'>Deletar</a></div><div data-role='collapsible'  class='pasta' id='set"  + cont + "'><h3>"+item['pasta']+"</h3><p><div id='result_"+cont+"'></div></p></div>";
			
				$("#set").append( linkeditdelete ).collapsibleset('refresh');
				
			}
			
			
			
	
	   });
   		
        });
 

}



 
function showRecords() // Function For Retrive data from Database Display records as list

{
	

db.transaction(function (tx) {
 
tx.executeSql(selectAllStatement2, [], function (tx, result) {
 
dataset = result.rows;
qtd=0
for (p = 0; p < dataset.length; p++) {

		
			item_aux = dataset.item(p);
			
			nome_pasta = String(item_aux['pasta'])
nome_pasta_ajust = nome_pasta.replace(/ /g,"%20")

			
			var option_pasta =option_pasta+"<option innertext="+nome_pasta_ajust+" value="+nome_pasta_ajust+">"+item_aux['pasta']+"</option>";

		db.transaction(function (txw) {
        txw.executeSql(selectAllStatement, [], function (txw, result2) {
 item_aux_pasta=dataset.item(qtd)
        dataset2 = result2.rows;

 		var linkeditdelete = "<ul data-role='listview' class='ui-listview' data-autodividers='true' >"
        for (z = 0; z < dataset2.length; z++) {
 
        item_aux = dataset2.item(z);

	var id_select_hidde="<input type='hidden' id='mover_hidden_"+z+"' value="+item_aux['id']+" ></input>"
		
item=item_aux['pastacriada']
item_ajust=item.replace(/%20/g," ")
		if (item_aux_pasta['pasta']==item_ajust){
			
		
			
			
			var mover_popup="<div style='margin-top:-40%;border-radius:5px;width:130%; visibility: hidden; height:150px; background-color:white; z-index: 6; position: absolute;' id='mover_popup_"+z+"' value=1  class='popupcar ui-corner-all ui-popup ui-body-c ui-overlay-shadow'><span style='color:#57B8E0'>Mover Pasta:</span><select  style='width:100%;height:40%;border-radius:20px;float:left;' id=mover_"+z+"><option id=mover>Selecione uma Pasta</option>"+option_pasta+"</select><div style='margin-left:5%'><div class='ui-block-a'><a href='#' class=' ui-btn ui-input-btn ui-corner-all ui-shadow' style='border:none;text-decoration:none'  id="+z+" onclick='moverpasta("+z+");'>OK</a></div><div class='ui-block-b'><a href='#' class=' ui-btn ui-input-btn ui-corner-all ui-shadow' style='border:none;text-decoration:none'  id="+z+" onclick='cancelar_mover("+z+");'>Cancelar</a></div></div></div>"
			
		var editar_popup = "<div style='margin-top:-40%;border-radius:5px;width:120%; visibility: hidden; height:130px; background-color:white; z-index: 6; position: absolute;' id='editar_popup_"+z+"' class='popupcar ui-corner-all ui-popup ui-body-c ui-overlay-shadow'><span style='color:#57B8E0'>Editar:</span><input style='margin-left:5px;width:80%;background-color:white;float:left' placeholder='Insira Nome' type='text'  id='alterar_"+z+"'></input><div class='ui-block-a'><a style='border:none' class=' ui-btn ui-input-btn ui-corner-all ui-shadow' id="+z+" onclick='alterar_desc("+z+");'>OK</a></div><div class='ui-block-b'><a style='border:none' class=' ui-btn ui-input-btn ui-corner-all ui-shadow' id="+z+" onclick='cancelar_alterar("+z+");'>Cancelar</a></div></div>"

        var linkeditdelete = linkeditdelete +"<li class='ui-li-has-alt ui-first-child'><div id='hide1_"+z+"' style='background-color:transparent;opacity:0.6;width:60%;height:100%;visibility:hidden;z-index:3;position:absolute;'></div><div id='hide2_"+z+"'  style='visibility: hidden;top:-17%;left:3%;border:none;z-index:3;position:absolute;'><input type='hidden' id=edit_hidden_"+z+" value="+item_aux['id']+"><a class='ui-btn' style='border:none;background-color:red;height:inherit;color:white;z-index:4;position:relative;float:left;font-weight:bold;text-shadow:none;border-radius:5px;font-size:10px;margin-top:9%;'  href='#' onclick=deleteRecord(" + item_aux['id'] + ");>Deletar</a><a class='ui-btn' style='border:none;background-color:orange;z-index:4;position:relative;float:left;color:white;font-weight:bold;text-shadow:none;border-radius:5px;font-size:10px;margin-top:9%'  value="+z+"  href='#' onclick='mostrar_mover("+z+");' id='mover'>Mover</a>"+mover_popup+"<input type='hidden' id=mover_hidden_"+z+" value="+item_aux['id']+"><a class='ui-btn' style='border:none;background-color:gray;height:inherit;z-index:4;position:relative;float:left;color:white;font-weight:bold;text-shadow:none;border-radius:5px;font-size:10px;margin-top:9%'  value="+z+" href='#'  onclick='mostrar_alterar("+z+");' id='editar'>Editar</a>"+editar_popup+"</div><a class='ui-btn' style='text-align:left;font-size:14px;' onclick=mostra_salvo('"+item_aux['link_texto']+"'); href='#' id='processo_"+item_aux['id']+"'>" + item_aux['respconsulta']+"</a><a class='ui-btn ui-btn-icon-notext ui-icon-plus' id='opcoes_"+z+"'  onclick='mostraopcoes("+z+");' value=1 href='#'></a></li>";
	
			}

            } //fecha segundo for
		
		
var linkeditdelete = linkeditdelete + '</ul>';
$("#result_"+qtd).append(linkeditdelete);
qtd=qtd+1
	
        	}); //fecha segundo execut
 
    		}); //fecha segundo db
	 
	 
}; //fecha primeiro for
}); //fecha primeiro execut
});//fecha primeiro db


}//fecha func



 
$(document).ready(function () // Call function when page is ready for load..
 
{

$( "#pre-select-dates2" ).on( "swipeleft", swipeLeftHandler ).on( "swiperight", swipeRightHandler );

function swipeLeftHandler( event ){

document.getElementById("prox").click()
calculaplantao();
}

function swipeRightHandler( event ){

document.getElementById("anterior").click()
calculaplantao();
}


calculaplantao();

$(document).bind('pageinit', function () {
    $('input,select').keypress(function(event) { return event.keyCode != 13; });
})
 
    $("body").fadeIn(2000); // Fede In Effect when Page Load..
 
    initDatabase();
	
	

 
    $("#submitButton").click(insertRecord);  // Register Event Listener when button click.
 
    $("#criarpastafunc").click(insertRecord2);  // Register Event Listener when button click.
 
 
    $("#btnReset").click(resetForm);
 
    $("#btnDrop").click(dropTable);
 
});
 
 

  
  function busca_pastas() {  
  
   $("#pastas").empty()
   db.transaction(function (tx) {    
 tx.executeSql(selectAllStatement2, [], function (tx, result) {
 
dataset = result.rows;

antes="<option>Selecione uma Pasta</option>"
for (p = 0; p < dataset.length; p++) {
	
			item_aux = dataset.item(p);
			
			nome_pasta = String(item_aux['pasta'])
nome_pasta_ajust = nome_pasta.replace(/ /g,"%20")

		
		var option_pasta =option_pasta+"<option innertext="+nome_pasta_ajust+" value="+nome_pasta_ajust+">"+item_aux['pasta']+"</option>";
		
		



}

			
			$("#pastas").append("<option>Selecione uma Pasta</option>"+option_pasta);
 });

 });
 
 
 }





 

//-------------------------------------------------------------------

var n	
 var indiceTabSelecionada = n;
    switch(indiceTabSelecionada){
        case 0:
		
            break;
			
        case 1:
	
            formulario = document.forms['consultaNomeForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value = "consulta";
                formulario.descOrigem.value = formulario.origem.options[formulario.origem.selectedIndex].text;
                formulario.descComarca.value = formulario.comarca.options[formulario.comarca.selectedIndex].text;
                formulario.descCompetencia.value = formulario.competencia.options[formulario.competencia.selectedIndex].text;
				
	
				
                formulario.submit();
            }
            break;
        case 2:
            formulario = document.forms['consultaOABForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value = "consulta";
                formulario.descOrigem.value = formulario.origem.options[formulario.origem.selectedIndex].text;              
                formulario.descComarca.value = formulario.comarca.options[formulario.comarca.selectedIndex].text;
				
		
			
                formulario.submit();
            }
            break;
        case 3:
            valido = validaFormularioNomeAdvogado();
            if(valido){
                carregarModal();
                document.forms['consultaNomeAdvogadoForm'].submit();
            }
            break;
        case 4:
            formulario = document.forms['consultaCPFForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value="consulta";
                formulario.descOrigem.value=formulario.origem.options[formulario.origem.selectedIndex].text;
                formulario.descComarca.value=formulario.comarca.options[formulario.comarca.selectedIndex].text;
                formulario.descCompetencia.value=formulario.competencia.options[formulario.competencia.selectedIndex].text;
				
			
                formulario.submit();
            }
            break;
    }

            
function validaFormularioNomeAdvogado(){
    var nomeAdvogado = document.forms['consultaNomeAdvogadoForm'].nomeAdvogado.value;
	
	
		
    if(nomeAdvogado = '' || nomeAdvogado.length <= 3){
        alert('O nome pesquisado deve conter mais que 3 caracteres.');
        document.forms['consultaNomeAdvogadoForm'].nomeAdvogado.focus();
        return false;
    }
    return true;


}


function submeterForm(n){
    var indiceTabSelecionada = n;
    switch(indiceTabSelecionada){
        case 0:
		
            break;
			
        case 1:
		
		
            formulario = document.forms['consultaNomeForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value = "consulta";
                formulario.descOrigem.value = formulario.origem.options[formulario.origem.selectedIndex].text;
                formulario.descComarca.value = formulario.comarca.options[formulario.comarca.selectedIndex].text;
                formulario.descCompetencia.value = formulario.competencia.options[formulario.competencia.selectedIndex].text;
				
                
				
				formulario.submit();
            }
            break;
        case 2:
            formulario = document.forms['consultaOABForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value = "consulta";
                formulario.descOrigem.value = formulario.origem.options[formulario.origem.selectedIndex].text;              
                formulario.descComarca.value = formulario.comarca.options[formulario.comarca.selectedIndex].text;
                formulario.submit();
            }
            break;
        case 3:
            valido = validaFormularioNomeAdvogado();
            if(valido){
                carregarModal();
                document.forms['consultaNomeAdvogadoForm'].submit();
            }
            break;
        case 4:
            formulario = document.forms['consultaCPFForm'];
            valido = validaFormulariosComuns(formulario);
            if(valido){
                carregarModal();
                formulario.acao.value="consulta";
                formulario.descOrigem.value=formulario.origem.options[formulario.origem.selectedIndex].text;
                formulario.descComarca.value=formulario.comarca.options[formulario.comarca.selectedIndex].text;
                formulario.descCompetencia.value=formulario.competencia.options[formulario.competencia.selectedIndex].text;
                formulario.submit();
            }
            break;
    }
}



            
function validaFormularioNomeAdvogado(){
    var nomeAdvogado = document.forms['consultaNomeAdvogadoForm'].nomeAdvogado.value;

		
    if(nomeAdvogado = '' || nomeAdvogado.length <= 3){
        alert('O nome pesquisado deve conter mais que 3 caracteres.');
        document.forms['consultaNomeAdvogadoForm'].nomeAdvogado.focus();
        return false;
    }
    return true;
}
        
function limpaFormulario(){
    var indiceTabSelecionada = getIndexTabSelecionada();
    switch(indiceTabSelecionada){
            case 0:
                document.forms['form'].reset();
                mudarNumeracao();
                break;
            case 1:
                document.forms['consultaNomeForm'].reset();
                alteraVisibilidade(true,document.forms['consultaNomeForm']);
                break;
            case 2:
                document.forms['consultaOABForm'].reset();
                break;
            case 3:
                document.forms['consultaNomeAdvogadoForm'].reset();
                break;
            case 4:
                document.forms['consultaCPFForm'].reset();
                alteraVisibilidade(true,document.forms['consultaCPFForm']);
                break;
        }
}

function getParameter(parametro){
    var query = window.location.search.substring(1);
    if(!isUndefined(query) || !isVazio(query)){
        var vars = query.split("&");
        for (var i = 0; i < vars.length; i++) {
            var par = vars[i].split("=");
            // chave
            if (par[0] == parametro) {
                    // parametro
                    return par[1];
            }
        }
    }
}

function inicializar(){
    for(i = 0; i < document.forms.length; i++){
        alteraVisibilidade(true,document.forms[i]);
    }
	// Verifica se o tipo de consulta realizada  priori para consulta de precatrios.
	inicializaFocusConsultaPrecatorio();
}

function inicializaFocusConsultaPrecatorio() {
    var valor = getParameter("o");
    if(!isVazio(valor)){
        if(valor == 'prec'){
            var hashTag = window.location.hash.substring(1);
            if(!isVazio(hashTag)){
                if(hashTag == 'tabs-numero-indice0'){
                    focusConsultaPrecatorioNumero();
                } else {
                    if(hashTag == 'tabs-nome-indice1'){
                        focusConsultaPrecatorioNome();
                    }
                }
            }
        }
    }
}

/*Focus na aba da consulta por nome selecionando precatorio como origem*/
function focusConsultaPrecatorioNumero(){
    var formNumero = document.forms['form'];
    formNumero.selOpcaoNumeracao[1].checked = true;
    mudarNumeracao();
    document.getElementById("selOrigem").value = "5";
    document.getElementById("txtNumero").focus();
}

/*Focus na aba da consulta por numero selecionando precatorio como origem
  com processo antigo.
*/
function focusConsultaPrecatorioNome(){
    formNome = document.forms['consultaNomeForm'];
    formNome.origem.value = "6";
    formNome.nomeParte.focus();
}

/*Retorna true se o objeto for undefined */
function isUndefined(param){
    return param == undefined;
}

function alteraVisibilidade(flag,form){
    if(!isUndefined(form.origem)){
        option = form.origem.options[form.origem.selectedIndex].value;
        if (option == "2"){
            document.getElementById("protocolo").style.display="inline-block";
            document.getElementById("protocolot").style.display="inline-block";
        }else{
            document.getElementById("protocolo").style.display="none";
            document.getElementById("protocolot").style.display="none";
        }
       
      /* if(option == 1 || option == 7){
            document.getElementById("procativos_" + form.name).style.display = "inline-block";
        }else{
            document.getElementById("procativos_" + form.name).style.display = "none";
        }*/
        
    }
}

function isVazio(param){
    return param == null || param.length == 0;
}

function validaFormulariosComuns(form){
    if(!isUndefined(form.origem)){
        var origem = form.origem.options[form.origem.selectedIndex].value;
        if(!isVazio(origem)){
            if(origem == "1"){
                // Validao se a comarca est selecionada.
                if(!isUndefined(form.comarca)){
                    var comarca = form.comarca.options[form.comarca.selectedIndex].value;
                    if (isVazio(comarca)){
                        alert ("Escolha uma comarca");
                        form.comarca.focus();
                        return false;
                    }
                }
                // Validao se a competencia est selecionada.
                if(!isUndefined(form.competencia)){
                    var competencia = form.competencia.options[form.competencia.selectedIndex].value;
                    if (isVazio(competencia)){
                        alert ("Escolha uma competncia");
                        form.competencia.focus();
                        return false;
                    }
                }
            }
            //Valida se Ano Final  Menor que o Ano Atual <%=anoAtual%>
            if(!isUndefined(form.anoInicio)){
                if (form.anoInicio.value < 1900 || form.anoInicio.value > anoAtual){
                    alert("Ano inicial deve ser um valor entre 1900 e " + anoAtual);
                    form.anoInicio.focus();
                    return false;
                }
            }
            //Valida se Ano Final  Menor que o Ano Atual
            if(!isUndefined(form.anoFinal)){
                if (form.anoFinal.value < 1900 || form.anoFinal.value > anoAtual){
                    alert("Ano final deve ser um valor entre 1900 e " + anoAtual);
                    form.anoFinal.focus();
                    return false;
                }
            }
            // Valida se Ano Inicial  Maior do que o Ano Final.
            if(!isUndefined(form.anoInicio) && !isUndefined(form.anoFinal)){
                if (form.anoInicio.value > form.anoFinal.value){
                    alert("Ano inicial no pode ser maior que ano final.");
                    form.anoInicio.focus();
                    return false;
                }
            }
            // Valida Nmero do CPF
            if(!isUndefined(form.numeroCpfCnpj)){
                if (isVazio(form.numeroCpfCnpj.value)){
                    alert(" obrigatrio informar o campo CPF/CNPJ.");
                    form.cpfCnpj.focus();
                    return false;
                }  
            }
            // Valida NomeParte
            if(!isUndefined(form.nomeParte)){
                if(form.nomeParte.value == "" || form.nomeParte.value.length <=3){
                  alert("O nome pesquisado deve conter mais que 3 caracteres.");
                  form.nomeParte.focus();
                  return false;
                }
            }
            // Valida OAB
            if(!isUndefined(form.numeroOAB)){
                if (isVazio(form.numeroOAB.value)){
                    alert("O nmero da OAB deve ser preenchido.");
                    form.numeroOAB.focus();
                    return false;
                }
            }
        }else{
            alert ("Escolha uma origem");
            form.origem.focus();
            return false;
        }
    }
    return true;
}

function obterRadioSelecionado(radio){
    retorno = null;
    if(radio != null){
        i = 0;
        for(i=0; i < radio.length; i++){
            if(radio[i].checked){
                break;
            }
        }
        retorno = radio[i].value;
    }
    return retorno;
}

function validarCpfCnpjEvent(cpfCnpj){
        if(cpfCnpj != null && cpfCnpj.length > 0){
            cpfCnpjSemFormatacao = cpfCnpj.replace(/\D/g,"");
            isCPF = cpfCnpjSemFormatacao.length <= 11;
            valido = isCPF ? validaCPF(cpfCnpj): validarCNPJ(cpfCnpj);
            if(valido){
                document.getElementById("textoResposta").innerHTML = "<img src='imagens/ok.png'></img> O " + (isCPF ? "CPF" : "CNPJ") + " digitado  vlido.";
                return true;
            }
            document.getElementById("textoResposta").innerHTML= "<img src='imagens/erro.png'></img> O " + (isCPF ? "CPF" : "CNPJ") + " digitado  invlido.";
        }else{
            document.getElementById("textoResposta").innerHTML = "";
        }
    return false;
}

function submeter(cpf){
    cpf = document.getElementById("numeroCpfCnpj").value;
    document.forms['ConsultarEnderecoForm'].submit();
    carregarModal();
}

function somenteNumerais(evt)   {
    evt = (evt) ? evt : event;
    var charCode = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode : ((evt.which) ? evt.which : 0));
    if(charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    else    {
        return true;
    }
}

function mascaraMutua(o,f){
	v_obj=o;
	v_fun=f;
	setTimeout('execmascara()',1);
}

function execmascara(){
	v_obj.value=v_fun(v_obj.value);
}

function cpfCnpjEvent(v){
	v = v.replace(/\D/g,"");
	if(v.length <= 11){
		v=v.replace(/(\d{3})(\d)/,"$1.$2");
		v=v.replace(/(\d{3})(\d)/,"$1.$2");
		v=v.replace(/(\d{3})(\d{1,2})$/,"$1-$2");
	}else{
		v=v.replace(/^(\d{2})(\d)/,"$1.$2");
		v=v.replace(/^(\d{2})\.(\d{3})(\d)/,"$1.$2.$3");
		v=v.replace(/\.(\d{3})(\d)/,".$1/$2");
		v=v.replace(/(\d{4})(\d)/,"$1-$2");
	}
	return v;
}